Name:          polkit-pkla-compat
Version:       0.1
Release:       1mamba
Summary:       Polkit compatibility rule to provide compatibility with the .pkla file format
Group:         Applications/Security
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://fedorahosted.org/polkit-pkla-compat/
Source:        http://releases.pagure.org/polkit-pkla-compat/polkit-pkla-compat-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: polkit-devel
## AUTOBUILDREQ-END
Requires(pre): polkit
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
polkit-pkla-compat is a polkit JavaScript rule and associated helpers that mostly provide compatibility with the .pkla file format supported in polkit <= 0.105 for users of later polkit releases.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sysconfdir}/polkit-1/rules.d/49-polkit-pkla-compat.rules
%attr(0700,polkitd,polkitd) %dir %{_sysconfdir}/polkit-1/localauthority
%attr(0700,polkitd,polkitd) %dir %{_sysconfdir}/polkit-1/localauthority/10-vendor.d
%attr(0700,polkitd,polkitd) %dir %{_sysconfdir}/polkit-1/localauthority/20-org.d
%attr(0700,polkitd,polkitd) %dir %{_sysconfdir}/polkit-1/localauthority/30-site.d
%attr(0700,polkitd,polkitd) %dir %{_sysconfdir}/polkit-1/localauthority/50-local.d
%attr(0700,polkitd,polkitd) %dir %{_sysconfdir}/polkit-1/localauthority/90-mandatory.d
%attr(0700,polkitd,polkitd) %dir %{_sysconfdir}/polkit-1/localauthority.conf.d
%{_bindir}/pkla-admin-identities
%{_bindir}/pkla-check-authorization
%{_mandir}/man8/pkla-admin-identities.8*
%{_mandir}/man8/pkla-check-authorization.8*
%{_mandir}/man8/pklocalauthority.8*
%attr(0700,polkitd,polkitd) %dir %{_localstatedir}/lib/polkit-1
%attr(0700,polkitd,polkitd) %dir %{_localstatedir}/lib/polkit-1/localauthority
%attr(0700,polkitd,polkitd) %dir %{_localstatedir}/lib/polkit-1/localauthority/10-vendor.d
%attr(0700,polkitd,polkitd) %dir %{_localstatedir}/lib/polkit-1/localauthority/20-org.d
%attr(0700,polkitd,polkitd) %dir %{_localstatedir}/lib/polkit-1/localauthority/30-site.d
%attr(0700,polkitd,polkitd) %dir %{_localstatedir}/lib/polkit-1/localauthority/50-local.d
%attr(0700,polkitd,polkitd) %dir %{_localstatedir}/lib/polkit-1/localauthority/90-mandatory.d
%doc AUTHORS COPYING

%changelog
* Tue Aug 13 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1-1mamba
- package created by silvan using the webbuild interface
